Subject: Re: bug#4533: reverting fails to update line ending mode line

From: Glenn Morris <[email-masked]>
Date: Mon, 02 Nov 2009 03:57:14 -0500

But

    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1039#42

seems to say this is a feature?

    But, the problem is the case that you load "hello" by explicitly
    specifying dos coding system, or you once save the file by dos coding
    sytem before reverting.  In this case, Emacs respects your
    specification, and thus revert-buffer loads the file as dos coding
    system, which results in seeing many CR charaters in the above case.

    We think this behaviour is not a bug but a feature.